Name:           gnubik
Version:        2.4.3
Release:        %mkrel 5
Summary:        3D interactive graphics puzzle

Group:          Games/Puzzles
License:        GPLv3+
URL:            https://www.gnu.org/software/gnubik/
Source0:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop

BuildRequires:  x11-proto-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtkglext-1.0)
BuildRequires:  pkgconfig(guile-2.0)
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  texinfo
Requires:       hicolor-icon-theme

%description
GNUbik is a GNU package.  It is a 3D interactive graphics puzzle. It renders
an image of a magic cube (similar to a Rubik's cube) and you attempt to solve
it.


%prep
%setup -q
chmod -x src/{quarternion,txfm}.{c,h}
# Remove pregenerated binaries and let them be gerenerated
rm po/*.pot
rm doc/%{name}.info


%build
%configure
%make_build


%install
%make_install

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man6
install -p -m 644 doc/%{name}.6 $RPM_BUILD_ROOT%{_mandir}/man6

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 icons/logo16.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -m 644 icons/logo22.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
install -p -m 644 icons/logo32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -m 644 icons/logo48.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gen-dot-desktop.scm

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_infodir}/%{name}.info.*
%{_mandir}/man*/%{name}*


%changelog
* Sun Mar 27 2022 umeabot <umeabot> 2.4.3-5.mga9
+ Revision: 1829062
- Mageia 9 Mass Rebuild

* Sat Nov 07 2020 wally <wally> 2.4.3-4.mga8
+ Revision: 1643463
- rebuild after guile2.0 fork

* Thu Aug 20 2020 ovitters <ovitters> 2.4.3-3.mga8
+ Revision: 1616558
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Fri Feb 14 2020 umeabot <umeabot> 2.4.3-2.mga8
+ Revision: 1521847
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 02 2019 daviddavid <daviddavid> 2.4.3-1.mga7
+ Revision: 1348642
- new version: 2.4.3

* Sun Sep 23 2018 umeabot <umeabot> 2.4.2-3.mga7
+ Revision: 1297991
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 2.4.2-2.mga6
+ Revision: 954307
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 shlomif <shlomif> 2.4.2-1.mga6
+ Revision: 836502
- Add missing BR
- correct typo
- New version 2.4.2

* Wed Oct 15 2014 umeabot <umeabot> 2.4.1-3.mga5
+ Revision: 739285
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.1-2.mga5
+ Revision: 679814
- Mageia 5 Mass Rebuild

* Sun May 04 2014 shlomif <shlomif> 2.4.1-1.mga5
+ Revision: 620023
- Importing gnubik based on Fedora


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 01 2013 Bruno Wolff III <bruno@wolff.to> 2.4.1-1
- Upstream update to 2.4.1
- 2.4.1 release announcement at: http://lists.gnu.org/archive/html/info-gnu/2013-05/msg00016.html
- Mostly some translation updates

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 22 2012 Bruno Wolff III <bruno@wolff.to> 2.4-6
- Rebuild for pangox soname bump

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 05 2011 Bruno Wolff III <bruno@wolff.to> 2.4-3
- Rebuild for libpng 1.5

* Sun May 15 2011 Bruno Wolff III <bruno@wolff.to> 2.4-2
- Translation filename changed gnubik.pot

* Sun May 15 2011 Bruno Wolff III <bruno@wolff.to> 2.4-1
- Upstream update to 2.4
- Release notes are available at http://savannah.gnu.org/forum/forum.php?forum_id=6774

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 21 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-6
- Put icon in right location

* Fri Mar 13 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-5
- Fixed rebuilding .info

* Wed Mar 11 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-4
- Replaced mesa- requires with generic ones
- Removing pregenerated *.gmo in prep
- Rebuilding .info

* Wed Mar 11 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-3
- Put icon into hicolor theme
- Add correct scriptlets and requires
- Add GenericName to desktop file

* Wed Mar 11 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-2
- Don't using install -D that doesn't want to work in mock
- Fix incorrect usage of GenericName in desktop file

* Mon Mar 02 2009 Alexey Torkhov <atorkhov@gmail.com> - 2.3-1
- Initial package
